/*
 * File         : QStatusCircle.h
 * Author       : Timothy Wiley
 * Version      :
 * Created      : 01/03/2010
 * Description  : Status Circle Widget
 * Copyright    :
 */

#include <QtCore/QObject>
#include <QtGui/QWidget>

class QStatusCircle : public QWidget {
Q_OBJECT
public:
    QStatusCircle(QColor colour);
    ~QStatusCircle();

    void setColour(QColor colour);
    QColor getColour();

    QSize maximumSize() const;
    QSize minimumSizeHint() const;
    QSize sizeHint() const;

protected:
    QColor colour;

    void paintEvent(QPaintEvent *event);
};
